diff -ruNp linux-2.6.34.5/arch/x86/SYSCALLS.in linux-2.6.34.5-cher1/arch/x86/SYSCALLS.in
--- linux-2.6.34.5/arch/x86/SYSCALLS.in	1970-01-01 03:00:00.000000000 +0300
+++ linux-2.6.34.5-cher1/arch/x86/SYSCALLS.in	2010-08-26 14:45:12.238562018 +0400
@@ -0,0 +1,612 @@
+fs/compat.c:
+	compat_sys_select			allowed
+	compat_sys_pselect6			allowed
+	compat_sys_ppoll			allowed
+	compat_sys_epoll_pwait			allowed
+	compat_sys_utime			secured
+	compat_sys_utimensat			secured
+	compat_sys_futimesat			secured
+	compat_sys_utimes			secured
+	compat_sys_newstat			secured
+	compat_sys_newlstat			secured
+	compat_sys_newfstatat			secured
+	compat_sys_newfstat			secured
+	compat_sys_statfs			secured
+	compat_sys_fstatfs			secured
+	compat_sys_statfs64			secured
+	compat_sys_fstatfs64			secured
+	compat_sys_ustat			secured
+	compat_sys_io_setup			secured
+	compat_sys_io_getevents			secured
+	compat_sys_io_submit			secured
+	compat_sys_mount			secured
+	compat_sys_old_readdir			secured
+	compat_sys_getdents			secured
+	compat_sys_getdents64			secured
+	compat_sys_readv			secured
+	compat_sys_preadv			secured
+	compat_sys_writev			secured
+	compat_sys_pwritev			secured
+	compat_sys_vmsplice			secured
+	compat_sys_openat			secured
+	compat_sys_nfsservctl			secured
+	compat_sys_signalfd4			secured
+	compat_sys_signalfd			secured
+	compat_sys_timerfd_settime		secured
+	compat_sys_timerfd_gettime		secured
+	compat_sys_fcntl64			restricted
+	compat_sys_fcntl			restricted
+	compat_sys_open				restricted
+mm/mmap.c:
+	sys_brk					allowed
+	sys_munmap				allowed
+mm/mempolicy.c:
+	sys_get_mempolicy			allowed
+	compat_sys_get_mempolicy		allowed
+	sys_mbind				restricted
+	sys_set_mempolicy			restricted
+	sys_migrate_pages			restricted
+	compat_sys_set_mempolicy		restricted
+	compat_sys_mbind			restricted
+kernel/time.c:
+	sys_time				allowed
+	sys_gettimeofday			allowed
+	sys_stime				secured
+	sys_settimeofday			secured
+	sys_adjtimex				secured
+security/keys/keyctl.c:
+	sys_add_key				secured
+	sys_request_key				secured
+	sys_keyctl                              secured
+net/socket.c:
+	sys_socket				secured
+	sys_socketpair				secured
+	sys_bind				secured
+	sys_listen				secured
+	sys_accept4				secured
+	sys_accept				secured
+	sys_connect				secured
+	sys_getsockname				secured
+	sys_getpeername				secured
+	sys_sendto				secured
+	sys_send				secured
+	sys_recvfrom				secured
+	sys_recv				secured
+	sys_setsockopt				secured
+	sys_getsockopt				secured
+	sys_shutdown				secured
+	sys_sendmsg				secured
+	sys_recvmsg				secured
+	sys_socketcall				secured
+	sys_recvmmsg				secured
+net/compat.c:
+	compat_sys_setsockopt			secured
+	compat_sys_getsockopt			secured
+	compat_sys_sendmsg			secured
+	compat_sys_recvmsg			secured
+	compat_sys_recv				secured
+	compat_sys_recvfrom			secured
+	compat_sys_socketcall			secured
+	compat_sys_recvmmsg			secured
+mm/swapfile.c:
+	sys_swapoff				secured
+	sys_swapon				secured
+mm/mlock.c:
+	sys_mlock				secured
+	sys_munlock				secured
+	sys_mlockall				secured
+	sys_munlockall				secured
+mm/mincore.c:
+	sys_mincore				secured
+mm/migrate.c:
+	sys_move_pages				secured
+mm/fadvise.c:
+	sys_fadvise64_64			secured
+	sys_fadvise64				secured
+fs/compat_ioctl.c:
+	compat_sys_ioctl			restricted
+fs/dcache.c:
+	sys_getcwd				restricted
+mm/mprotect.c:
+	sys_mprotect				allowed
+mm/madvise.c:
+	sys_madvise				restricted
+mm/filemap.c:
+	sys_readahead				restricted
+kernel/uid16.c:
+        sys_chown16                             redirect        sys_chown
+        sys_lchown16                            redirect        sys_lchown
+        sys_fchown16                            redirect        sys_fchown
+        sys_setregid16                          redirect        sys_setregid
+        sys_setgid16                            redirect        sys_setgid
+        sys_setreuid16                          redirect        sys_setreuid
+        sys_setuid16                            redirect        sys_setuid
+        sys_setresuid16                         redirect        sys_setresuid
+        sys_getresuid16                         allowed
+	sys_setresgid16                         redirect        sys_setresgid
+        sys_getresgid16                         allowed
+        sys_setfsuid16                          redirect        sys_setfsuid
+        sys_setfsgid16                          redirect        sys_setfsgid
+        sys_getgroups16                         allowed
+        sys_setgroups16                         secured
+	sys_getuid16                            allowed
+        sys_geteuid16                           allowed
+        sys_getgid16                            allowed
+        sys_getegid16                           allowed
+kernel/timer.c:
+        sys_alarm                               restricted
+        sys_getpid                              allowed
+        sys_getppid                             allowed
+        sys_getuid                              allowed
+        sys_geteuid                             allowed
+        sys_getgid                              allowed
+        sys_getegid                             allowed
+        sys_gettid                              allowed
+        sys_sysinfo                             allowed
+kernel/sys.c:
+        sys_setpriority                         secured
+        sys_getpriority                         allowed
+        sys_reboot                              secured
+        sys_setregid                            secured
+        sys_setgid                              secured
+        sys_setreuid                            secured
+        sys_setuid                              secured
+        sys_setresuid                           secured
+        sys_getresuid                           allowed
+        sys_setresgid                           secured
+        sys_getresgid                           allowed
+        sys_setfsuid                            secured
+        sys_setfsgid                            secured
+        sys_times                               secured
+        sys_setpgid                             secured
+        sys_getpgid                             allowed
+        sys_getpgrp                             allowed
+        sys_getsid                              allowed
+        sys_setsid                              secured
+        sys_newuname                            allowed
+        sys_sethostname                         secured
+        sys_gethostname                         allowed
+        sys_setdomainname                       secured
+        sys_getrlimit                           allowed
+        sys_old_getrlimit                       allowed
+        sys_setrlimit                           secured
+        sys_getrusage                           allowed
+        sys_umask                               restricted
+        sys_prctl                               secured
+        sys_getcpu                              allowed
+kernel/sysctl_binary.c:
+        sys_sysctl                              secured
+	compat_sys_sysctl			secured
+kernel/sched.c:
+        sys_nice                                secured
+        sys_sched_setscheduler                  secured
+        sys_sched_setparam                      secured
+        sys_sched_getscheduler                  allowed
+        sys_sched_getparam                      allowed
+        sys_sched_setaffinity                   secured
+        sys_sched_getaffinity                   allowed
+        sys_sched_yield                         allowed
+        sys_sched_get_priority_max              allowed
+        sys_sched_get_priority_min              allowed
+        sys_sched_rr_get_interval               allowed
+kernel/ptrace.c:
+        compat_sys_ptrace                       secured
+        sys_ptrace                              secured
+kernel/printk.c:
+        sys_syslog                              restricted
+kernel/posix-timers.c:
+        sys_timer_create                        secured
+        sys_timer_gettime                       secured
+        sys_timer_getoverrun                    secured
+        sys_timer_settime                       secured
+        sys_timer_delete                        secured
+        sys_clock_settime                       secured
+        sys_clock_gettime                       secured
+        sys_clock_getres                        secured
+        sys_clock_nanosleep                     secured
+kernel/signal.c:
+        sys_restart_syscall                     allowed
+        sys_rt_sigprocmask                      restricted
+        sys_rt_sigpending                       restricted
+        sys_rt_sigtimedwait                     restricted
+        sys_kill                                restricted
+        sys_tgkill                              restricted
+        sys_tkill                               restricted
+        sys_rt_sigqueueinfo                     restricted
+        sys_rt_tgsigqueueinfo                   restricted
+        sys_sigpending                          restricted
+        sys_sigprocmask                         restricted
+        sys_rt_sigaction                        restricted
+        sys_sgetmask                            allowed
+        sys_ssetmask                            restricted
+        sys_signal                              restricted
+        sys_pause                               restricted
+        sys_rt_sigsuspend                       restricted
+kernel/module.c:
+        sys_delete_module                       secured
+        sys_init_module                         secured
+kernel/kexec.c:
+        compat_sys_kexec_load                   secured
+        sys_kexec_load                          secured
+fs/dcookies.c:
+        sys_lookup_dcookie                      restricted
+kernel/fork.c:
+        sys_set_tid_address                     allowed
+        sys_unshare                             restricted
+kernel/exit.c:
+        sys_exit                                allowed
+        sys_exit_group                          allowed
+        sys_waitid                              restricted
+        sys_wait4                               restricted
+        sys_waitpid                             redirect        sys_wait4
+kernel/exec_domain.c:
+        sys_personality                         restricted
+kernel/compat.c:
+        compat_sys_gettimeofday                 allowed
+        compat_sys_settimeofday                 secured
+        compat_sys_nanosleep                    secured
+        compat_sys_getitimer                    secured
+        compat_sys_setitimer                    secured
+        compat_sys_times                        secured
+        compat_sys_sigpending                   restricted
+        compat_sys_sigprocmask                  secured
+        compat_sys_setrlimit                    secured
+        compat_sys_old_getrlimit                allowed
+        compat_sys_getrlimit                    allowed
+        compat_sys_getrusage                    allowed
+        compat_sys_wait4                        secured
+        compat_sys_waitid                       secured
+        compat_sys_sched_setaffinity            secured
+        compat_sys_sched_getaffinity            allowed
+        compat_sys_timer_create                 secured
+        compat_sys_timer_settime                secured
+        compat_sys_timer_gettime                secured
+        compat_sys_clock_settime                secured
+        compat_sys_clock_gettime                secured
+        compat_sys_clock_getres                 secured
+        compat_sys_clock_nanosleep              secured
+        compat_sys_rt_sigtimedwait              secured
+        compat_sys_rt_tgsigqueueinfo            secured
+        compat_sys_time                         allowed
+        compat_sys_stime                        secured
+        compat_sys_rt_sigsuspend                secured
+        compat_sys_adjtimex                     secured
+        compat_sys_move_pages                   secured
+        compat_sys_migrate_pages                secured
+        compat_sys_sysinfo                      allowed
+kernel/capability.c:
+        sys_capget                              secured
+        sys_capset                              secured
+fs/utimes.c:
+        sys_utime                               secured
+        sys_utimensat                           secured
+        sys_futimesat                           secured
+        sys_utimes                              redirect        sys_futimesat
+kernel/acct.c:
+        sys_acct                                secured
+ipc/shm.c:
+        sys_shmget                              secured
+        sys_shmctl                              secured
+        sys_shmat                               secured
+        sys_shmdt                               secured
+ipc/sem.c:
+        sys_semget                              secured
+        sys_semctl                              secured
+        sys_semtimedop                          secured
+        sys_semop                               redirect        sys_semtimedop
+ipc/msg.c:
+        sys_msgget                              secured
+        sys_msgctl                              secured
+        sys_msgsnd                              secured
+        sys_msgrcv                              secured
+ipc/mqueue.c:
+        sys_mq_open                             secured
+        sys_mq_unlink                           secured
+        sys_mq_timedsend                        secured
+        sys_mq_timedreceive                     secured
+        sys_mq_notify                           secured
+        sys_mq_getsetattr                       secured
+fs/xattr.c:
+        sys_setxattr                            secured
+        sys_lsetxattr                           secured
+        sys_fsetxattr                           secured
+        sys_getxattr                            secured
+        sys_lgetxattr                           secured
+        sys_fgetxattr                           secured
+        sys_listxattr                           secured
+        sys_llistxattr                          secured
+        sys_flistxattr                          secured
+        sys_removexattr                         secured
+        sys_lremovexattr                        secured
+        sys_fremovexattr                        secured
+fs/timerfd.c:
+        sys_timerfd_create                      secured
+        sys_timerfd_settime                     secured
+        sys_timerfd_gettime                     secured
+fs/super.c:
+        sys_ustat                               restricted
+fs/sync.c:
+        sys_sync                                restricted
+        sys_fsync                               restricted
+        sys_fdatasync                           restricted
+        sys_sync_file_range                     restricted
+        sys_sync_file_range2                    restricted
+fs/stat.c:
+        sys_stat                                restricted
+        sys_lstat                               restricted
+        sys_fstat                               allowed
+        sys_newstat                             restricted
+        sys_newlstat                            restricted
+        sys_newfstatat                          restricted
+        sys_newfstat                            allowed
+        sys_readlinkat                          restricted
+        sys_readlink                            redirect        sys_readlinkat
+        sys_stat64                              restricted
+        sys_lstat64                             restricted
+        sys_fstat64                             allowed
+        sys_fstatat64                           restricted
+fs/splice.c:
+        sys_vmsplice                            secured
+        sys_splice                              secured
+        sys_tee                                 secured
+fs/quota/quota.c:
+        sys_quotactl                            secured
+fs/quota/compat.c:
+        sys32_quotactl                          secured
+fs/notify/inotify/inotify_user.c:
+        sys_inotify_init1                       secured
+        sys_inotify_init                        redirect        sys_inotify_init1
+        sys_inotify_add_watch                   secured
+        sys_inotify_rm_watch                    secured
+fs/signalfd.c:
+        sys_signalfd4                           secured
+        sys_signalfd                            redirect        sys_signalfd4
+fs/read_write.c:
+        sys_lseek                               restricted
+        sys_llseek                              restricted
+        sys_read                                allowed
+        sys_write                               allowed
+        sys_pread64                             restricted
+        sys_pwrite64                            restricted
+        sys_readv                               allowed
+        sys_writev                              allowed
+        sys_preadv                              restricted
+        sys_pwritev                             restricted
+        sys_sendfile                            restricted
+        sys_sendfile64                          restricted
+fs/readdir.c:
+        sys_old_readdir                         restricted
+        sys_getdents                            restricted
+        sys_getdents64                          restricted
+fs/pipe.c:
+        sys_pipe2                               secured
+        sys_pipe                                redirect        sys_pipe2
+fs/open.c:
+        sys_statfs                              restricted
+        sys_statfs64                            restricted
+        sys_fstatfs                             restricted
+        sys_fstatfs64                           restricted
+        sys_truncate                            restricted
+        sys_ftruncate                           restricted
+        sys_truncate64                          restricted
+        sys_ftruncate64                         restricted
+        sys_fallocate                           restricted
+        sys_faccessat                           restricted
+        sys_access                              redirect        sys_faccessat
+        sys_chdir                               secured
+        sys_fchdir                              secured
+        sys_chroot                              secured
+        sys_fchmod                              secured
+        sys_fchmodat                            secured
+        sys_chmod                               redirect        sys_fchmodat
+        sys_chown                               secured
+        sys_fchownat                            secured
+        sys_lchown                              secured
+        sys_fchown                              secured
+        sys_open                                restricted
+        sys_openat                              restricted
+        sys_creat                               restricted
+        sys_close                               allowed
+        sys_vhangup                             secured
+fs/nfsctl.c:
+        sys_nfsservctl                          secured
+fs/namespace.c:
+        sys_umount                              secured
+        sys_oldumount                           redirect        sys_umount
+        sys_mount                               secured
+        sys_pivot_root                          secured
+fs/namei.c:
+        sys_mknodat                             secured
+        sys_mknod                               redirect        sys_mknodat
+        sys_mkdirat                             secured
+        sys_mkdir                               redirect        sys_mkdirat
+        sys_rmdir                               secured
+        sys_unlinkat                            secured
+        sys_unlink                              secured
+        sys_symlinkat                           secured
+        sys_symlink                             redirect        sys_symlinkat
+        sys_linkat                              secured
+        sys_link                                redirect        sys_linkat
+        sys_renameat                            secured
+        sys_rename                              redirect        sys_renameat
+fs/locks.c:
+        sys_flock                               secured
+fs/ioprio.c:
+        sys_ioprio_set                          secured
+        sys_ioprio_get                          secured
+fs/ioctl.c:
+        sys_ioctl                               restricted
+fs/filesystems.c:
+        sys_sysfs                               secured
+fs/buffer.c:
+        sys_bdflush                             secured
+fs/eventfd.c:
+        sys_eventfd2                            restricted
+        sys_eventfd                             redirect        sys_eventfd2
+fs/eventpoll.c:
+        sys_epoll_create1                       restricted
+        sys_epoll_create                        restricted
+        sys_epoll_ctl                           restricted
+        sys_epoll_wait                          restricted
+        sys_epoll_pwait                         restricted
+fs/exec.c:
+        sys_uselib                              restricted
+fs/fcntl.c:
+        sys_dup3                                restricted
+        sys_dup2                                restricted
+        sys_dup                                 restricted
+        sys_fcntl                               restricted
+        sys_fcntl64                             restricted
+fs/aio.c:
+        sys_io_setup                            restricted
+        sys_io_destroy                          restricted
+        sys_io_submit                           restricted
+        sys_io_cancel                           restricted
+        sys_io_getevents                        restricted
+arch/x86/kernel/sys_i386_32.c:
+        sys_mmap2                               allowed
+        old_mmap                                allowed
+        old_select                              allowed
+        sys_ipc                                 secured
+        sys_uname                               allowed
+        sys_olduname                            allowed
+arch/x86/kernel/vm86_32.c:
+        sys_vm86old                             secured
+        sys_vm86                                secured
+arch/x86/kernel/signal.c:
+        sys_sigsuspend                          restricted
+        sys_sigaction                           restricted
+        sys_sigaltstack                         restricted
+        sys_sigreturn                           allowed
+        sys_rt_sigreturn                        allowed
+arch/x86/kernel/ldt.c:
+        sys_modify_ldt                          secured
+arch/x86/kernel/process.c:
+        sys_execve                              restricted
+arch/x86/kernel/process_32.c:
+        sys_clone                               restricted
+arch/x86/kernel/process_64.c:
+        sys_clone                               restricted
+        sys_arch_prctl                          allowed
+arch/x86/kernel/process.c:
+        sys_vfork                               restricted
+        sys_fork                                restricted
+arch/x86/kernel/ioport.c:
+        sys_ioperm                              secured
+        sys_iopl                                secured
+arch/x86/ia32/sys_ia32.c:
+        sys32_truncate64                        redirect        sys_truncate
+        sys32_ftruncate64                       redirect        sys_ftruncate
+        sys32_stat64                            restricted
+        sys32_lstat64                           restricted
+        sys32_fstat64                           restricted
+        sys32_fstatat                           restricted
+        sys32_mmap                              allowed
+        sys32_mprotect                          redirect        sys_mprotect
+        sys32_rt_sigaction                      restricted
+        sys32_sigaction                         restricted
+        sys32_rt_sigprocmask                    restricted
+        sys32_alarm                             restricted
+        sys32_old_select                        redirect        compat_sys_select
+        sys32_waitpid                           redirect        compat_sys_wait4
+        sys32_sysfs                             redirect        sys_sysfs
+        sys32_sched_rr_get_interval             redirect        sys_sched_rr_get_interval
+        sys32_rt_sigpending                     restricted
+        sys32_rt_sigqueueinfo                   restricted
+        sys32_sysctl                            restricted
+        sys32_pread                             redirect        sys_pread64
+        sys32_pwrite                            redirect        sys_pwrite64
+        sys32_personality                       restricted
+        sys32_sendfile                          restricted
+        sys32_mmap2                             allowed
+        sys32_olduname                          allowed
+        sys32_uname                             allowed
+        sys32_execve                            restricted
+        sys32_clone                             restricted
+        sys32_lseek                             redirect        sys_lseek
+        sys32_kill                              redirect        sys_kill
+        sys32_fadvise64_64                      redirect        sys_fadvise64_64
+        sys32_vm86_warning                      secured
+        sys32_lookup_dcookie                    redirect        sys_lookup_dcookie
+        sys32_readahead                         redirect        sys_readahead
+        sys32_sync_file_range                   redirect        sys_sync_file_range
+        sys32_fadvise64                         redirect        sys_fadvise64_64
+        sys32_fallocate                         redirect        sys_fallocate
+arch/x86/ia32/ia32_signal.c:
+        sys32_sigsuspend                        restricted
+        sys32_sigaltstack                       restricted
+        sys32_sigreturn                         allowed
+        sys32_rt_sigreturn                      allowed
+arch/x86/ia32/ipc32.c:
+        sys32_ipc                               secured
+arch/x86/ia32/entry_32.S:
+        ptregs_fork                             redirect        sys_fork
+        ptregs_execve                           redirect        sys_execve
+        ptregs_iopl                             redirect        sys_iopl
+        ptregs_vm86old                          redirect        sys_vm86old
+        ptregs_sigreturn                        redirect        sys_sigreturn
+        ptregs_clone                            redirect        sys_clone
+        ptregs_vm86                             redirect        sys_vm86
+        ptregs_rt_sigreturn                     redirect        sys_rt_sigreturn
+        ptregs_sigaltstack                      redirect        sys_sigaltstack
+        ptregs_vfork                            redirect        sys_vfork
+kernel/itimer.c:
+        sys_setitimer                           restricted
+        sys_getitimer                           restricted
+fs/select.c:
+        sys_select                              allowed
+        sys_pselect6                            allowed
+        sys_poll                                allowed
+        sys_ppoll                               allowed
+mm/msync.c:
+        sys_msync                               allowed
+kernel/hrtimer.c:
+        sys_nanosleep                           restricted
+mm/mremap.c:
+        sys_mremap                              restricted
+kernel/groups.c:
+        sys_getgroups                           allowed
+        sys_setgroups                           secured
+kernel/futex.c:
+        sys_set_robust_list                     allowed
+        sys_get_robust_list                     allowed
+        sys_futex                               allowed
+arch/x86/kernel/tls.c:
+        sys_get_thread_area                     allowed
+        sys_set_thread_area                     allowed
+mm/fremap.c:
+        sys_remap_file_pages                    restricted
+kernel/perf_event.c:
+        sys_perf_event_open                     restricted
+arch/x86/kernel/entry_64.S:
+        stub_clone                              redirect        sys_clone
+        stub_fork                               redirect        sys_fork
+        stub_vfork                              redirect        sys_vfork
+        stub_sigaltstack                        redirect        sys_sigaltstack
+        stub_iopl                               redirect        sys_iopl
+        stub_execve                             redirect        sys_execve
+        stub_rt_sigreturn                       redirect        sys_rt_sigreturn
+arch/x86/kernel/sys_x86_64.c:
+        sys_mmap                                allowed
+arch/x86/ia32/ia32entry.S:
+        stub32_rt_sigreturn                     redirect        sys32_rt_sigreturn
+        stub32_sigreturn                        redirect        sys32_sigreturn
+        stub32_sigaltstack                      redirect        sys32_sigaltstack
+        stub32_execve                           redirect        sys32_execve
+	stub32_fork                             redirect        sys_fork
+	stub32_clone                            redirect        sys32_clone
+	stub32_vfork                            redirect        sys_vfork
+	stub32_iopl                             redirect        sys_iopl
+kernel/futex_compat.c:
+        compat_sys_set_robust_list              allowed
+        compat_sys_get_robust_list              allowed
+        compat_sys_futex                        allowed
+ipc/compat_mq.c:
+        compat_sys_mq_open                      secured
+        compat_sys_mq_timedsend                 secured
+        compat_sys_mq_timedreceive              secured
+        compat_sys_mq_notify                    secured
+        compat_sys_mq_getsetattr                secured
+unspecified_file:
+        sys_ni_syscall                          unimpl
+        quiet_ni_syscall                        unimpl
